Skip to main content
GET
/
api
/
modelServing
/
v1
/
modelApis
cURL
curl --request GET \
  --url https://api.example.com/api/modelServing/v1/modelApis \
  --header 'X-Domino-Api-Key: <api-key>'
{
  "items": [
    {
      "access": {
        "accessTokens": [
          {
            "created": 123,
            "createdBy": "<string>",
            "id": "<string>",
            "lastGenerated": 123,
            "lastGeneratedBy": "<string>",
            "name": "<string>"
          }
        ],
        "isPublic": true
      },
      "collaborators": [
        {
          "collaborator": "<string>",
          "role": "<string>"
        }
      ],
      "description": "<string>",
      "environmentId": "<string>",
      "healthCheck": {
        "failureThreshold": 123,
        "initialDelaySeconds": 123,
        "periodSeconds": 123,
        "timeoutSeconds": 123
      },
      "id": "<string>",
      "isArchived": true,
      "isAsync": true,
      "metadata": {
        "created": 123,
        "createdBy": "<string>",
        "lastModified": 123
      },
      "name": "<string>",
      "replicas": 123,
      "routingMode": "<string>",
      "strictNodeAntiAffinity": true,
      "volumes": [
        {
          "mountPath": "<string>",
          "name": "<string>",
          "readOnly": true,
          "volumeType": "<string>"
        }
      ],
      "activeVersion": {
        "dataPlaneId": "<string>",
        "id": "<string>",
        "deployment": {
          "isPending": true,
          "status": "<string>"
        },
        "number": 123
      },
      "bundleId": "<string>",
      "hardwareTierId": "<string>",
      "overrideRequestTimeoutSecs": 123,
      "resourceQuotaId": "<string>"
    }
  ],
  "metadata": {
    "notices": [
      "<string>"
    ],
    "requestId": "<string>",
    "limit": 123,
    "offset": 123,
    "totalCount": 123
  }
}

Authorizations

X-Domino-Api-Key
string
header
required

Query Parameters

environmentId
string

The id of the environment to filter the Model APIs by.

projectId
string

The id of the project to filter the Model APIs by.

name
string

The name of the Model APIs. Can be a regular expression.

registeredModelName
string

The name of the registered model that is the source of the Model API.

registeredModelVersion
integer

The version of the registered model that is the source of the Model API. Can only be present along with registeredModelName.

limit
integer

The number of result to retrieve. Defaults to 25.

offset
integer
default:25

The offset from the first element to start retrieving from.

orderBy
string

Field to order results by. Format is the name of the field optionally followed by a space and either ASC or DESC. If not specified defaults to ASC.

Response

200 - application/json

The list of Model APIs matching the provided query.

items
object[]
required

The Model APIs in the paginated list.

metadata
object
required